Deploy​
GET
/deploy
Deploy by tag or uuid. Post request also accepted with uuid and tag json body.
Authorizations​
bearerAuth
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
Type
HTTP (bearer)
Parameters​
Query Parameters
tag
Tag name(s). Comma separated list is also accepted.
Type
string
uuid
Resource UUID(s). Comma separated list is also accepted.
Type
string
force
Force rebuild (without cache)
Type
boolean
pr
Pull Request Id for deploying specific PR builds. Cannot be used with tag parameter.
Type
integer
pull_request_id
Preview deployment identifier. Alias of pr.
Type
integer
docker_tag
Docker image tag for Docker Image preview deployments. Requires pull_request_id.
Type
string
Responses​
Get deployment(s) UUID's
application/json
JSON
{
"deployments": [
{
"message": "string",
"resource_uuid": "string",
"deployment_uuid": "string"
}
]
}
